aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml2
-rw-r--r--CMakeLists.txt2
-rw-r--r--Changelog.md14
-rw-r--r--docs/bugs_by_version.json4
-rwxr-xr-xscripts/docker_deploy_manual.sh49
5 files changed, 64 insertions, 7 deletions
diff --git a/.travis.yml b/.travis.yml
index a2301c42..708d3620 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -184,10 +184,8 @@ before_script:
script:
- test $SOLC_EMSCRIPTEN != On || (scripts/test_emscripten.sh)
- - test $? == 0 || SOLC_STOREBYTECODE=Off
- test $SOLC_DOCS != On || (scripts/docs.sh)
- test $SOLC_TESTS != On || (cd $TRAVIS_BUILD_DIR && scripts/tests.sh)
- - test $? == 0 || SOLC_STOREBYTECODE=Off
- test $SOLC_STOREBYTECODE != On || (cd $TRAVIS_BUILD_DIR && scripts/bytecodecompare/storebytecode.sh)
deploy:
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 24bea3b3..105de851 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -8,7 +8,7 @@ include(EthPolicy)
eth_policy()
# project name and version should be set after cmake_policy CMP0048
-set(PROJECT_VERSION "0.4.19")
+set(PROJECT_VERSION "0.4.20")
project(solidity VERSION ${PROJECT_VERSION})
option(SOLC_LINK_STATIC "Link solc executable statically on supported platforms" OFF)
diff --git a/Changelog.md b/Changelog.md
index 8f610a53..fd256af8 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -1,14 +1,20 @@
-### 0.4.19 (unreleased)
+### 0.4.20 (unreleased)
+
+Features:
+
+Bugfixes:
+
+### 0.4.19 (2017-11-30)
Features:
- * Allow constant variables to be used as array length
* Code Generator: New ABI decoder which supports structs and arbitrarily nested
- arrays and checks input size (activate using ``pragma experimental ABIEncoderV2;``.
+ arrays and checks input size (activate using ``pragma experimental ABIEncoderV2;``).
+ * General: Allow constant variables to be used as array length.
+ * Inline Assembly: ``if`` statement.
* Standard JSON: Support the ``outputSelection`` field for selective compilation of target artifacts.
* Syntax Checker: Turn the usage of ``callcode`` into an error as experimental 0.5.0 feature.
* Type Checker: Improve address checksum warning.
* Type Checker: More detailed errors for invalid array lengths (such as division by zero).
- * Inline Assembly: ``if`` statement.
Bugfixes:
diff --git a/docs/bugs_by_version.json b/docs/bugs_by_version.json
index cca45428..3a8ff9a1 100644
--- a/docs/bugs_by_version.json
+++ b/docs/bugs_by_version.json
@@ -397,6 +397,10 @@
"bugs": [],
"released": "2017-10-18"
},
+ "0.4.19": {
+ "bugs": [],
+ "released": "2017-11-30"
+ },
"0.4.2": {
"bugs": [
"ZeroFunctionSelector",
diff --git a/scripts/docker_deploy_manual.sh b/scripts/docker_deploy_manual.sh
new file mode 100755
index 00000000..c098f4ee
--- /dev/null
+++ b/scripts/docker_deploy_manual.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env sh
+
+set -e
+
+if [ -z "$1" ]
+then
+ echo "Usage: $0 <tag/branch>"
+ exit 1
+fi
+branch="$1"
+
+#docker login
+
+DIR=$(mktemp -d)
+(
+cd "$DIR"
+
+git clone --depth 2 https://github.com/ethereum/solidity.git -b "$branch"
+cd solidity
+commithash=$(git rev-parse --short=8 HEAD)
+echo -n "$commithash" > commit_hash.txt
+version=$($(dirname "$0")/get_version.sh)
+if [ "$branch" = "release" -o "$branch" = v"$version" ]
+then
+ echo -n > prerelease.txt
+else
+ date -u +"nightly.%Y.%-m.%-d" > prerelease.txt
+fi
+
+rm -rf .git
+docker build -t ethereum/solc:build -f scripts/Dockerfile .
+tmp_container=$(docker create ethereum/solc:build sh)
+if [ "$branch" = "develop" ]
+then
+ docker tag ethereum/solc:build ethereum/solc:nightly;
+ docker tag ethereum/solc:build ethereum/solc:nightly-"$version"-"$commithash"
+ docker push ethereum/solc:nightly-"$version"-"$commithash";
+ docker push ethereum/solc:nightly;
+elif [ "$branch" = v"$version" ]
+then
+ docker tag ethereum/solc:build ethereum/solc:stable;
+ docker tag ethereum/solc:build ethereum/solc:"$version";
+ docker push ethereum/solc:stable;
+ docker push ethereum/solc:"$version";
+else
+ echo "Not publishing docker image from branch or tag $branch"
+fi
+)
+rm -rf "$DIR"